# class ISDNQ931Call | A Q.931 ISDN call. More...
Full name | `TelEngine::ISDNQ931Call`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::ISDNQ931State [public ], TelEngine::SignallingCall [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~ISDNQ931Call ()
- inline u_int32_t callRef () const
- inline u_int32_t callRefLen () const
- inline u_int8_t callTei () const
- inline SignallingCircuit* circuit ()
- void setTerminate (bool destroy, const char* reason)
- virtual bool sendEvent (SignallingEvent* event)
- virtual SignallingEvent* getEvent (const Time& when)
- void dataLinkState (bool up)
- virtual void* getObject (const String& name) const

#### Protected Methods

- ISDNQ931Call (ISDNQ931* controller, bool outgoing, u_int32_t callRef, u_int8_t callRefLen, u_int8_t tei = 0)
- SignallingEvent* releaseComplete (const char* reason = 0, const char* diag = 0)
- SignallingEvent* getCircuitEvent (const Time& when)

## Detailed Description

Q.931 ISDN call

~ISDNQ931Call () | ### ~ISDNQ931Call

[virtual]

Destructor

inline u_int32_t callRef () | ### callRef

[const]

Get the id of this call

Returns: The call reference

inline u_int32_t callRefLen () | ### callRefLen

[const]

Get the length of the call reference

Returns: The length of the call reference

inline u_int8_t callTei () | ### callTei

[const]

Get the Terminal Equipment Indicator for this call

Returns: Value of TEI used in this call

inline SignallingCircuit* circuit () | ### circuit

Get the circuit this call had reserved

Returns: The circuit reserved by this call

void setTerminate (bool destroy, const char* reason) | ### setTerminate

Set termination (and destroy) flags This method is thread safe

Parameters:

destroy | The destroy flag. If true, the call will be destroyed
reason | Terminate reason

bool sendEvent (SignallingEvent* event) | ### sendEvent

[virtual]

Send an event to this call This method is thread safe

Parameters:

event | The sent event

Returns: True if the operation succedded

Reimplemented from SignallingCall.

SignallingEvent* getEvent (const Time& when) | ### getEvent

[virtual]

Get an event from this call This method is thread safe

Parameters:

when | The current time

Returns: SignallingEvent pointer or 0 if no events

Reimplemented from SignallingCall.

void dataLinkState (bool up) | ### dataLinkState

Data link (interface) state notification This method is thread safe

Parameters:

up | The data link state

void* getObject (const String& name) | ### getObject

[const virtual]

Get a pointer to a data member or this call

Parameters:

name | Object name

Returns: The requested pointer or 0 if not exists

Reimplemented from RefObject.

ISDNQ931Call (ISDNQ931* controller, bool outgoing, u_int32_t callRef, u_int8_t callRefLen, u_int8_t tei = 0) | ### ISDNQ931Call

[protected]

Constructor

Parameters:

controller | The call controller
outgoing | The call direction
callRef | The call reference
callRefLen | The call reference length in bytes
tei | The Terminal Equipment Identifier used in this call

SignallingEvent* releaseComplete (const char* reason = 0, const char* diag = 0) | ### releaseComplete

[protected]

Send RELEASE COMPLETE if not in Null state. Clear all call data. Remove from controller's queue. Decrease the object's refence count

Parameters:

reason | Optional release reason. If missing, the last reason is used
diag | Optional hexified string for the cause diagnostic

Returns: Pointer to an SignallingEvent of type Release, with no message

SignallingEvent* getCircuitEvent (const Time& when) | ### getCircuitEvent

[protected]

Get an event from the circuit reserved for this call

Parameters:

when | The current time

Returns: SignallingEvent pointer or 0 if no events

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.